Subject: bug#77086: Filesystems not unmounted on reboot

From: Ludovic Courtès <[email-masked]>
Date: Fri, 02 May 2025 18:07:49 +0200

Hello,

"Ashish SHUKLA" via Bug reports for GNU Guix <[email-masked]> writes:

> Filesystems not unmounted on reboot, or rather I get filesystem check for "/" volume after I power on, even though I shut it down (as rebooting was ending up in this situation almost everytime). This only happens if I do "sudo guix system reconfigure" prior to reboot/shutdown. Of note is, I'm running a custom Linux kernel (linux-xanmod in my custom channel):

[...]

> Unfortunately, nothing in /var/log/messages that could hint what happens at the lat moments before reboot/shutdown, and quite often, I end up with NUL bytes in the log file:

Are there any hints on tty12 (syslog output) while shutting down?

These issues are all quite mysterious and I’m not sure how to best
approach it if we cannot reproduce them in a VM.

Ludo’.